apiVersion: v1
kind: Pod
metadata:
  name: conf-web
spec:
  containers:
    - name: web
      image: nginx:alpine
      env:
        - name: BAVARD
          value: "off"
      command: ["ash"]
      args:
        - "-c"
        - "echo 'server_tokens $(BAVARD);' > /etc/nginx/conf.d/bavard.conf ; \
          nginx -g 'daemon off;'"
      ports:
        - name: web
          containerPort: 80
          protocol: TCP
